# xarray.Dataset.set_coords

`Dataset.``set_coords`(names: Union[Hashable, Iterable[Hashable]], inplace: bool = None) → xarray.core.dataset.Dataset

  Given names of one or more variables, set them as coordinates

  Parameters: | names (hashable or iterable of hashables) – Name(s) of variables in this dataset to convert into coordinates.
  Returns: |
  Return type: | Dataset

  See also

  `Dataset.swap_dims()`